Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Problems after SP10 migration

samsundar23
Level 4
Level 4

After migrating to SP10, we are facing couple of issues;

  • While editing components which has RTE in experience fragments,
    the RTE's hyperlink plugin is not working and I see the below error;samsundar23_0-1633362475270.png
  • Similarly, whenever I open an dialog, i see the below error

          samsundar23_1-1633362685392.png

there is a common link between the 2 issues wherein both has the error triggering point

at HTMLDocument.dispatch (jquery.min.js:1307)

I'm unsure whether this is the right link.

Kindly help me on the resolution of the problem.

 

Thanks

SS

Topics

Topics help categorize Community content and increase your ability to discover relevant content.

1 Accepted Solution
mahaboob
Correct answer by
Level 2
Level 2

Hello, 

 

 This is due to underscore dependency which was there before AEM versions has been removed.

  /libs/clientlibs/granite/lodash/modern (This modern folder had underscore category).

mahaboob_0-1633678434839.png

 

 

If you are using this underscore as dependency please change to lodash.underscore.

 

or if you have your previous versions backup take this package with filter (/libs/clientlibs/granite/lodash/modern) as backup and install on top of SP10.

 

Adobe said this was removed because of some security fixes

 

Thanks,

Mahaboob.

View solution in original post

2 Replies
Ravi_Pampana
Community Advisor
Community Advisor

Hi,

 

I tried with 6.5.10 and hyperlink in RTE plugin is working as expected

 

Screen Shot 2021-10-05 at 4.46.02 AM.png

Can you try in plain AEM 6.5.10 instance and check whether the same issue is there. Otherwise there might be your custom clientlibs which might be causing the issue. Check whether your code is including higher version of jquery ?

mahaboob
Correct answer by
Level 2
Level 2

Hello, 

 

 This is due to underscore dependency which was there before AEM versions has been removed.

  /libs/clientlibs/granite/lodash/modern (This modern folder had underscore category).

mahaboob_0-1633678434839.png

 

 

If you are using this underscore as dependency please change to lodash.underscore.

 

or if you have your previous versions backup take this package with filter (/libs/clientlibs/granite/lodash/modern) as backup and install on top of SP10.

 

Adobe said this was removed because of some security fixes

 

Thanks,

Mahaboob.

View solution in original post